petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsGetEnum

Gets the enum value for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetEnum(PetscOptions options,const char pre[],const char opt[],const char * const *list,PetscEnum *value,PetscBool  *set)

Not Collective Many br

### Input Parameters

| options | - options database use NULL for default global database Many br
| pre | - option prefix or NULL Many br
| opt | - option name Many br
| list | - array containing the list of choices, followed by the enum name, followed by the enum prefix, followed by a null Many br
| defaultv | - the default (current) value Many br

### Output Parameter

| value | - the value to return Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd() Many br

list is usually something like PCASMTypes or some other predefined list of enum names Many br

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() Many brPetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList(), PetscOptionsGetEList(), PetscOptionsEnum() Many br

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex8f90.F90.html